Skip to main content
DELETE
/
tax
/
transactions
/
{transaction_id}
cURL
curl --request DELETE \
  --url https://api.numeralhq.com/tax/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.numeralhq.com/tax/transactions/{transaction_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.numeralhq.com/tax/transactions/{transaction_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "tax.transaction",
  "deleted_at": 1721782604
}
{
  "error": {
    "error_code": "missing_field",
    "error_message": "Field is required",
    "error_meta": {
      "field": "path.to.fieldname",
      "expected": "string",
      "received": "undefined"
    }
  }
}

Delete Transaction Endpoint (2026-03-01)

Delete a specific transaction using its ID.
Remember to include the X-API-Version: 2026-03-01 header in your request to use this API version.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

The ID of the transaction to delete

Response

Transaction deletion response

object
string

The type of object deleted

Example:

"tax.transaction"

deleted_at
number

Epoch datetime representing the date and time the object was deleted

Example:

1721782604